Page MenuHomePhabricator

Provision pkg-config on Nodepool instances
Closed, ResolvedPublic

Description

The Nodepool instances lack pkg-config which used at least by Node / gyp. For graphoid repo that causes:

> canvas@1.3.10 install /home/jenkins/workspace/npm-node-4.2/node_modules/vega/node_modules/canvas
> node-gyp rebuild
./util/has_lib.sh: line 30: pkg-config: command not found
gyp: Call to './util/has_lib.sh freetype' returned exit status 0 while in binding.gyp.
...

Related Objects

Event Timeline

hashar created this task.Feb 8 2016, 4:03 PM
hashar raised the priority of this task from to Normal.
hashar updated the task description. (Show Details)
hashar added subscribers: Paladox, Jdrewniak, mobrovac and 5 others.
Johsthao closed this task as a duplicate of T126250: <spam>.Feb 8 2016, 6:24 PM
matmarex reopened this task as Open.Feb 8 2016, 6:32 PM

That is the same provisioning issue as T126246 namely:

jenkins@ci-jessie-wikimedia-32899:~$ apt-cache policy pkg-config
pkg-config:
  Installed: (none)
  Candidate: (none)
  Version table:
W: Duplicate sources.list entry http://mirrors.wikimedia.org/debian/ jessie-backports/main amd64 Packages (/var/lib/apt/lists/mirrors.wikimedia.org_debian_dists_jessie-backports_main_binary-amd64_Packages)
W: You may want to run apt-get update to correct these problems

Once solved, we will just have to add pkg-config in puppet.

Change 270433 had a related patch set uploaded (by Hashar):
dib: add non-free, contribs components

https://gerrit.wikimedia.org/r/270433

hashar claimed this task.Feb 12 2016, 11:00 PM
hashar set Security to None.
hashar moved this task from Backlog to In-progress on the Continuous-Integration-Scaling board.

Change 270704 had a related patch set uploaded (by Hashar):
dib: provision pkg-config

https://gerrit.wikimedia.org/r/270704

Stashbot added a subscriber: Stashbot.

Mentioned in SAL [2016-02-15T10:57:49Z] <hashar> bumped Nodepool disk image to fix apt configuration / include jre and package-config. Refreshing snapshot image. Poke T126246 T126230 T119143

Change 270704 merged by jenkins-bot:
dib: provision pkg-config

https://gerrit.wikimedia.org/r/270704